View Single Post
Old 05-05-03, 06:31 PM   #2
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default Re: compiling problems with nvidia-installer

Quote:
Originally posted by www.dynamic.de
2.4.20-k6 (herbert@gondolin) (gcc version 2.95.4 20011002 (Debian prerelease)) #1 Mon Jan 13 23:49:14 EST 2003)

my running gcc-version is: Version: 3:3.2.3-0
Read the README. You obviously haven't -- or at least, you haven't seen the section that talks about this problem.

Using a gcc2 compiled kernel with a gcc3 compiled nVidia kernel module WILL fail, if you do the IGNORE_CC_MISMATCH deal.

Why do people see that "IGNORE_CC_MISMATCH" message and immediately try it, rather than seeing the "look at the README" message and try that? Does anyone have a clue?

Anyway, the solution for you is to recompile your kernel with your system compiler, gcc 3. Or, install gcc 2.95.4 somewhere OTHER than /usr/bin, and export CC=/path/to/the/gcc2/executable before running the nVidia installer.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote